//	Microworks ObjectMate  2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SDMFRAME.H

#if !defined(__SFX_SDMFRAME_H)
#define __SFX_SDMFRAME_H

#if !defined(__OWL_DECMDIFR_H)
  #include <owl\decmdifr.h>
#endif

//  class TSFXDecoratedMDIFrame

class _OWLCLASS TSFXDecoratedMDIFrame : public TDecoratedMDIFrame
{
  public:
	TSFXDecoratedMDIFrame(const char far* title,
								 TResId          menuResId,
								 TMDIClient&     clientWnd = *new TMDIClient,
								 BOOL            sfxCaption = FALSE,
								 BOOL            trackMenuSelection = FALSE,
						       TModule*        module = 0);

  protected:
	//	call SFXDefFrameProc instead of DefFrameProc
	LRESULT           DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);

  DECLARE_RESPONSE_TABLE(TSFXDecoratedMDIFrame);
  DECLARE_STREAMABLE(_OWLCLASS, TSFXDecoratedMDIFrame, 1);
};

#endif  // __SFX_SDMFRAME_H
